Favicon

You are here: Home > API Reference > Workspace > Users Notifications > Get notificationFilter

Get notificationFilter

Get notificationFilter

GET
/v1/users/notification-filters/:notificationFilterId
Copy to clipboard

Get notificationFilter

Get notificationFilter

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
notificationFilterId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
memberType string optional
user employee
memberId string optional
Match pattern: ^[a-fA-F0-9]{24}$
email string optional
≤ 256 characters · Format: email
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
application string optional
Match pattern: ^[a-fA-F0-9]{24}$
type string optional
mail
events object optional
buildProcessed boolean optional
feedbackCreated boolean optional
notifyPublishedApplication boolean optional
certificationExpiration boolean optional
remoteSupportNotifyAdmins boolean optional
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
{
    "status": true,
    "data": {
        "id": "string",
        "memberType": "user",
        "memberId": "string",
        "email": "[email protected]",
        "organization": "string",
        "application": "string",
        "type": "mail",
        "events": {
            "buildProcessed": true,
            "feedbackCreated": true,
            "notifyPublishedApplication": true,
            "certificationExpiration": true,
            "remoteSupportNotifyAdmins": true
        },
        "updatedAt": "2024-01-01T00: 00:00Z",
        "createdAt": "2024-01-01T00: 00:00Z"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}